package com.gic.haoban.manage.web.qo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/29 14:34
 */
@Data
public class ClerkGroupDataQO extends HandleQO implements Serializable {

    /**
     * 1:data_sales_perf_anal_cont_clerk_group
     * 2:data_sales_perf_anal_cont_clerk_group_std
     */
    private Integer apiNameType;


    public String getApolloKeyByType() {
        if (apiNameType == null) {
            apiNameType = 1;
        }
        switch (apiNameType) {
            case 1:
                return "data_sales_perf_anal_cont_clerk_group";
            case 2:
                return "data_sales_perf_anal_cont_clerk_group_std";
            default:
                return "data_sales_perf_anal_cont_clerk_group";
        }
    }
}
